//点击菜单按钮
$(function() {
    $(".h-m").click(function(event) {
        if ($(this).next(".h-nav").is(":hidden")) {
            $(this).next(".h-nav").show();
            $(".mask").show();
            window.ontouchmove = function(e) {
                e.preventDefault && e.preventDefault();
                e.returnValue = false;
                e.stopPropagation && e.stopPropagation();
                return false;
            }
        } else {
            $(this).next(".h-nav").hide();
            $(".mask").hide();
            window.ontouchmove = function(e) {
                e.preventDefault && e.preventDefault();
                e.returnValue = true;
                e.stopPropagation && e.stopPropagation();
                return true;
            }
        }
        $(document).click(function() {
            $(".h-nav").hide();
            $(".mask").hide();
            window.ontouchmove = function(e) {
                e.preventDefault && e.preventDefault();
                e.returnValue = true;
                e.stopPropagation && e.stopPropagation();
                return true;
            }
        });
        event.stopPropagation();
    });
    $(".h-nav").click(function(event) {
        event.stopPropagation(); //阻止事件向上冒泡 
    });
})

//分享按钮
$(function() {
    $('.f-share').click(function(event) {
        var ua = navigator.userAgent.toLowerCase();
        if (ua.match(/MicroMessenger/i) == "micromessenger") {
            $(".sharehelper").show();
        } else {
            event.stopPropagation();
            $(".an1").show();
        }
    });
    //点击空白处或者自身隐藏弹出层，下面分别为滑动和淡出效果。  
    $(document).click(function(event) {
        $('.an1').hide();
    });
    $('.an1').click(function(event) {
        $(this).hide();
    });
})

//加入购物车成功
$(function() {
    $(".s-bot a").click(function() {
        $(this).next().fadeIn(),
        $(this).next().delay(1000).fadeOut(3000)
    });
})

 
//订单数量、价格
$(function() {
    $(".add").click(function() {
        var t = $(this).parent().find('input[class*=text_box]');
        t.val(parseInt(t.val()) + 1);
		setTotal();
    })

    $(".min").click(function() {
        var t = $(this).parent().find('input[class*=text_box]');
        t.val(parseInt(t.val()) - 1);
		if (parseInt(t.val()) < 0) {
            t.val(0);
        }
        setTotal();
    })

    function setTotal() {
        var s = 0;
        $("#tab1 li").each(function() {
            s += parseInt($(this).find('input[class*=text_box]').val()) * parseFloat($(this).find('span[class*=price]').text());
        });
        $("#total").html(s.toFixed(2));
    }
    setTotal();
})


//清空购车
$(function() {
    $(".Ant-EmptyCart").click(function(){
		if(confirm("您确定要清空购物车吗？"))
		{
			$.ajax({
			  url: "/public/ajax.aspx?action=deleteshoptoorder",
			  cache: false,
			  success:function(data)
			  {
				  window.location.href=window.location.href;
			  }
		   });
	    }
	});
	$("#tab1").find("li").each(function(){
		var obj=$(this);
		obj.find('#delete').click(function(){
			if(confirm("确定要删除该商品吗？"))
			{
				$.ajax({
				  url: "/public/ajax.aspx?action=deleteshoptoorder&id="+obj.find("#text").attr("rel"),
				  cache: false,
				  success:function(data)
				  {
					  window.location.href=window.location.href;
				  }
			   });
		   }
		});
		obj.find('#update').click(function(){
			var aa=obj.find("#text").val();
			if(!checknumber(aa))
			{
				alert("对不起，数量填写不正确！");	
				return false;
			}
			else
			{
				$.ajax({
				  url: "/public/ajax.aspx?action=updateshoporder&aa="+aa+"&id="+obj.find("#text").attr("rel"),
				  cache: false,
				  success:function(data)
				  {
					  if(data==0)
					  {
						window.location.href=window.location.href;
					  }
					  else{
						alert(data);  
					  }
				  }
			   });
			}
		});
	});
})

//提交成功
$(function() {
	if($("#stars2-input").length>0)
	{
		var Stars1 = new Stars("stars1")
		var Stars2 = new Stars("stars2")
		var Stars3 = new Stars("stars3")
	}
	$("#infopostsubmit").click(function(){
		var content = $.trim($("#AntUserContent").val());
		var Code = $.trim($("#AntUserCode").val());
		var stars1 = $.trim($("#stars1-input").val());	
		var stars2 = $.trim($("#stars2-input").val());							   
		var stars3 = $.trim($("#stars3-input").val());	
		if(stars1=="0"){
			alert("对不起，请给店铺的服务打分！");
			return false;
		}
		if(stars2=="0"){
			alert("对不起，请给店铺的品质打分！");
			return false;
		}
		if(stars3=="0"){
			alert("对不起，请给店铺的性价比打分！");
			return false;
		}
		if(Code.length==0)
		{
			alert("对不起，请输入验证码！");
			$("#AntUserCode").focus();
			return false;
		}
		if(content.length==0)
		{
			alert("对不起，请输入内容！");
			$("#AntUserContent").focus();
			return false;
		}
		var CompanyID=$("#CompanyHidden").val();
		var Shopid=$("#ShopHidden").val();
		var curl="/public/ajax.aspx?action=addshopcomment";
		curl +="&Code="+escape(Code);
		curl +="&content="+escape(content);
		curl +="&CompanyID="+escape(CompanyID);
		curl +="&Shopid="+escape(Shopid);
		curl +="&stars1="+escape(stars1);
		curl +="&stars2="+escape(stars2);
		curl +="&stars3="+escape(stars3);
		var typeid=$("#commenttypeid").val();
		curl +="&typeid="+escape(typeid);
		$.ajax({
			  url: curl,
			  cache: false,
			  success:function(data)
			  {
				  curl = window.location.href;
				  if( curl.indexOf("#")!= -1 )
					curl = curl.substring(0,curl.indexOf("#"));
				  if(data=="0")
				  {	
					 alert("评价成功，请等待我们审核！");
					 $("#AntUserContent").val("");
					 $("#AntUserCode").val("")
				  }
				  else if(data=="1")
				  {	
					 alert("评价成功！");//SUCCESS
					 window.location.href=curl;
				  }
				  else{
					  alert(data);
				  }
			  }
		});	
		return false;
	});
    

    $(".tg,.bm-success").click(function(event) {
        event.stopPropagation(); //阻止事件向上冒泡 
    });
})

//选择经纪人按钮
$(function() {
    $("input[type='radio']").click(function() {
        $("input[type='radio']").removeAttr("checked");
        $(this).attr("checked", "checked");
        $(this).parent().removeClass("r_off").addClass("r_on").siblings().removeClass("r_on").addClass("r_off");
    });
})

//店铺介绍页面
$(function() {
    $(".ck").click(function() {
        $(".pad2").removeClass("h-200").addClass("h-auto");
        $(this).hide();
        $(this).next(".cka").show();
    });
});
$(function() {
    $(".cka").click(function() {
        $(".pad2").removeClass("h-auto").addClass("h-200");
        $(this).prev(".ck").show();
        $(this).hide();
    });
});
//商城店铺的切换
$(function() {
    $("#scroller ul li").each(function(i) {
        $(this).click(function() {
            $(this).addClass("un").siblings().removeClass("un");
            $(".sc:eq(" + i + ")").show().siblings(".sc").hide();
        })
    })
});

$(function() {
    $(".down,.down1").click(function() {
        $(this).parent().removeClass("start start1").addClass("click1");
        $(this).hide();
        $(this).next(".up,.up1").show();
    });
})

$(function() {
    $(".up").click(function() {
        $(this).parent().removeClass("click1").addClass("start");
        $(this).hide();
        $(this).prev(".down").show();
    });
})
function checknumber(str)
{
	var re = /^[1-9]+[0-9]*]*$/;   // 整数
	if (!re.test(str))
    {
		return false;
	}
	else{
		return true;	
	}
}
$(function() {
	$("#querengorder").click(function(){
		if(global_obj.check_form($('*[notnull]'))){return false};
		$("#querengorder").attr("disabled", true).text("提交处理中");
		var curl="/public/ajax.aspx?action=addcompanyorder&OrderMan="+escape($("#txtOrderMan").val());
		curl +="&OrderAddress="+escape($("#txtOrderAddress").val())+"&OrderCode="+escape($("#txtOrderCode").val())+"&OrderTel="+escape($("#txtOrderTel").val())+"&OrderMark="+escape($("#txtOrderMark").val())+"&OrderPeisong="+$("#txtOrderPeisong").val();
		$.ajax({
			  url: curl,
			  cache: false,
			  success:function(data)
			  {
					var re = /^[1-9]+[0-9]*]*$/;   // 整数
					if (re.test(data) )
					{
						window.location.href=wapurl+"sc/csuccess.aspx?id="+data;
					}
					else{
						alert(data);
						$("#querengorder").attr("disabled", false).text("提交订单");
					}
			  }
		});
		return false;						 
	});
	$("#kuaisuorder").click(function(){
		var aa=$("#buytextkeyword").val();
		if(checknumber( aa ))
		{
			$.ajax({
			  url: "/public/ajax.aspx?action=addshoptoorder&aa="+aa+"&id="+$("#ShopHidden").val(),
			  cache: false,
			  success:function(data)
			  {
				 if(data=="0"){
					alert("对不起，购物车限额已满，现在就去购物车结帐。"); 
					window.location.href=wapurl+"sc/cart.aspx";
				 }
				 else{
					 $(".gocart").fadeIn(),
        			 $(".gocart").delay(1000).fadeOut(3000)
				 }
			  }
		   });
		}
		else{
			alert("您填写的购买数量不正确。");
			return false;
		}
	});
	$("#buyorder").click(function(){
		var aa=$("#buytextkeyword").val();
		if(checknumber( aa ))
		{
			$.ajax({
			  url: "/public/ajax.aspx?action=addshoptoorder&aa="+aa+"&id="+$("#ShopHidden").val(),
			  cache: false,
			  success:function(data)
			  {
				  window.location.href=wapurl+"sc/cart.aspx";
			  }
		   });
		}
		else{
			alert("您填写的购买数量不正确。");
			return false;
		}
	});
})

function setsonghuofashi(tt)
{
	$("#txtOrderPeisong").val(tt);
	if(tt==1 || tt==2)
	{
		$("#song1").hide();
		$("#song2").hide();
	}
	else
	{
		$("#song1").show();
		$("#song2").show();
	}
	if( $("#totalmoney").html()!="面议")
	{
		var totalmoney = 0;
		var yunfeimoney=0;
		$("#tab1").find("li").each(function(){
			var obj=$(this);
			yunfeimoney += parseFloat( obj.attr("rel") );
			var thisyunfeimoney =  parseFloat( obj.attr("rel") ) ;
			if(thisyunfeimoney==0 || tt==1 || tt==2)
			{
				obj.find("#totalyunfeitr").html("无");	
			}
			if(tt==0)
			{
				if( thisyunfeimoney >0 )
					obj.find("#totalyunfeitr").html("¥"+thisyunfeimoney.toFixed(2));	
				else
					obj.find("#totalyunfeitr").html("无");	
			}
			var moneytr= parseFloat(obj.find("#yunfeimoney").html().replace("¥","") );
			moneytr= parseFloat(moneytr)*parseFloat(obj.find(".Ant-Inventory").html());
			if(tt==1 || tt==2)
			{
				totalmoney= parseFloat(totalmoney)+parseFloat(moneytr);
				obj.find("#totalmoneytr").html("¥"+ ( moneytr).toFixed(2) );
			}
			else{
				totalmoney= parseFloat(totalmoney)+parseFloat(moneytr)+parseFloat(thisyunfeimoney);
				obj.find("#totalmoneytr").html("¥"+ ( moneytr+thisyunfeimoney ).toFixed(2) );	
			}
		});
		if(tt==1 || tt==2)
		{
			$("#totalmoney").html ("¥"+ totalmoney.toFixed(2) );
		}
		else{
			$("#totalmoney").html ("¥"+ totalmoney.toFixed(2)  );	
		}
	}
}


var Class = {
	create: function() {
		return function() { this.initialize.apply(this, arguments); }
	}
}
var Extend = function(destination, source) {
	for (var property in source) {
		destination[property] = source[property];
	}
}
function stopDefault( e ) {
	 if ( e && e.preventDefault ){
		e.preventDefault();
	}else{
		window.event.returnValue = false;
	}
	return false;
} 

var Stars = Class.create();
Stars.prototype = {
	initialize: function(star,options) {
		this.SetOptions(options); //默认属性
		var flag = 999; //定义全局指针
		var isIE = (document.all) ? true : false; //IE?
		var starlist = document.getElementById(star).getElementsByTagName('a'); //星星列表
		var input = document.getElementById(this.options.Input) || document.getElementById(star+"-input"); // 输出结果
		var nowClass = " " + this.options.nowClass; // 定义选中星星样式名
		var len = starlist.length; //星星数量
		
		for(i=0;i<len;i++){ // 绑定事件 点击 鼠标滑过
			starlist[i].value = i;
			starlist[i].onclick = function(e){
				stopDefault(e);
				this.className = this.className + nowClass;
				flag = this.value;
				input.value = this.getAttribute("star:value");
				$("#"+star+"-input").val(this.getAttribute("star:value"));
			}
			starlist[i].onmouseover = function(){
				if (flag< 999){
					var reg = RegExp(nowClass,"g");
					starlist[flag].className = starlist[flag].className.replace(reg,"")
				}
			}
			starlist[i].onmouseout = function(){
				if (flag< 999){
					starlist[flag].className = starlist[flag].className + nowClass;
				}
			}
		};
		if (isIE){ //FIX IE下样式错误
			var li = document.getElementById(star).getElementsByTagName('li');
			for (var i = 0, len = li.length; i < len; i++) {
				var c = li[i];
				if (c) {
					c.className = c.getElementsByTagName('a')[0].className;
				}
			}
		}
	},
	//设置默认属性
	SetOptions: function(options) {
		this.options = {//默认值
			Input:			"",//设置触保存分数的INPUT
			Tips:			"",//设置提示文案容器
			nowClass:	"current-rating"//选中的样式名
		};
		Extend(this.options, options || {});
	}
}

